package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.DBDSearchContext;

/**
 * 实体 [投保单] 存储模型
 */
public interface DBD{

    /**
     * 投保单号
     */
    String getTbdh();

    void setTbdh(String tbdh);

    /**
     * 获取 [投保单号]脏标记
     */
    boolean getTbdhDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 核保信息
     */
    String getHbxx();

    void setHbxx(String hbxx);

    /**
     * 获取 [核保信息]脏标记
     */
    boolean getHbxxDirtyFlag();
    /**
     * 操作员
     */
    String getCzr();

    void setCzr(String czr);

    /**
     * 获取 [操作员]脏标记
     */
    boolean getCzrDirtyFlag();
    /**
     * 车牌号
     */
    String getCph();

    void setCph(String cph);

    /**
     * 获取 [车牌号]脏标记
     */
    boolean getCphDirtyFlag();
    /**
     * 投保单标识
     */
    String getDBDId();

    void setDBDId(String dBDId);

    /**
     * 获取 [投保单标识]脏标记
     */
    boolean getDBDIdDirtyFlag();
    /**
     * 输入日期
     */
    Timestamp getSrrq();

    void setSrrq(Timestamp srrq);

    /**
     * 获取 [输入日期]脏标记
     */
    boolean getSrrqDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 投保单名称
     */
    String getDBDName();

    void setDBDName(String dBDName);

    /**
     * 获取 [投保单名称]脏标记
     */
    boolean getDBDNameDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 保险起期
     */
    Timestamp getBxqq();

    void setBxqq(Timestamp bxqq);

    /**
     * 获取 [保险起期]脏标记
     */
    boolean getBxqqDirtyFlag();
    /**
     * 影像
     */
    String getYx();

    void setYx(String yx);

    /**
     * 获取 [影像]脏标记
     */
    boolean getYxDirtyFlag();
    /**
     * 核保
     */
    String getHb();

    void setHb(String hb);

    /**
     * 获取 [核保]脏标记
     */
    boolean getHbDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 被保险人
     */
    String getBbxr();

    void setBbxr(String bbxr);

    /**
     * 获取 [被保险人]脏标记
     */
    boolean getBbxrDirtyFlag();
    /**
     * 协议号
     */
    String getXyh();

    void setXyh(String xyh);

    /**
     * 获取 [协议号]脏标记
     */
    boolean getXyhDirtyFlag();
}
